Index: /extensions/NBC_UserAdvManager/branches/2.14/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.14/language/it_IT/plugin.lang.php	(revision 5086)
+++ /extensions/NBC_UserAdvManager/branches/2.14/language/it_IT/plugin.lang.php	(revision 5087)
@@ -11,5 +11,5 @@
 
 /* Mailing */
-$lang['infos_mail %s'] = '%s, di seguito i tuoi dati per accedere alla galleria:';
+$lang['infos_mail %s'] = '%s, di seguito i vostri dati per accedere alla galleria:';
 $lang['User: %s'] = 'Utente: %s';
 $lang['Password: %s'] = 'Password: %s';
@@ -20,42 +20,42 @@
 $lang['title_confirm_mail'] = 'Confermare la vostra iscrizzione';
 $lang['confirm_mail_page_title'] = 'Confermare l\'iscrizzione';
-$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il tuo indirizzo e-mail e per la registrazione sulla galleria. Buona visione!<br><br><br><br>';
+$lang['confirm_mail_ok'] = '<br><br><br>Grazie per aver confermato il vostro indirizzo e-mail e per la registrazione sulla galleria. Buona visione!<br><br><br><br>';
 
 
 /* Errors and Warnings */
 $lang['UAM_audit_ok'] = 'Audit OK';
-$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici al caso da vicino:</b> ';
+$lang['Err_audit_no_casse'] = '<b>Questi conti sono identici (escluso maiuscola/minuscola):</b> ';
 $lang['Err_audit_username_char'] = '<b>Questo conto utente utilizza uno o più caratteri vietati:</b> ';
 $lang['Err_audit_email_forbidden'] = '<b>Questo conto utente usa un dominio di email proibito:</b> ';
-$lang['Err_audit_advise'] = '<b>è necessario eseguire correzioni per conformarsi alle nuove regole che sono state attivate.<br>Utilizzare un programma per la gestione di database per correggere gli account utente direttamente nella tabella ###_USERS';
-$lang['UAM_Empty Author'] = 'Il campo autore devono essere riempiti per inviare un commento.';
+$lang['Err_audit_advise'] = '<b>Dovete eseguire delle correzioni per rispettare le nuove impostazzioni che avete attivato.<br> Utilizzare un programma per la gestione della base dati per correggere i conti utente direttamente nella tabella ###_USERS';
+$lang['UAM_Empty Author'] = 'Il campo autore deve essere riempito per potere inviare un commento.';
 if ( isset($conf_UAM[1]) and $conf_UAM[1] == 'true' )
-	$lang['reg_err_login5'] = 'Nome utente esistono già, il nome di richiamo è case insensitive (Shift = Tiny).';
-$lang['reg_err_login6'] = 'Nome utente non deve corrispondere i seguenti caratteri: ';
-$lang['reg_err_login7'] = 'Il tuo provider di posta elettronica è vietato per la registrazione. Vietato provider di posta elettronica sono i seguenti: ';
+	$lang['reg_err_login5'] = 'Nome utente esiste già. Attenzione : il campo è insensibile alle maiuscole/minuscole.';
+$lang['reg_err_login6'] = 'Nome utente non deve contenere in caratteri seguenti: ';
+$lang['reg_err_login7'] = 'Il tuo provider di posta usa dominio di email proibito. I dominii preibiti sono i seguenti: ';
 $lang['UAM_empty_pwd'] = '[password vuota]';
-$lang['UAM_no_update_pwd'] = '[profilo aggiornato senza password cambiata]';
+$lang['UAM_no_update_pwd'] = '[profilo aggiornato senza modifica della password]';
 $lang['invalid_pwd'] = 'Nome utente o password non validi!';
-$lang['No_validation_for_Guest'] = '"Guest" conto non è soggetta a convalida';
-$lang['No_validation_for_default_user'] = 'L\'account predefinito non è soggetta a convalida';
-$lang['No_validation_for_Webmaster'] = '"Webmaster" conto non è soggetta a convalida';
-$lang['No_validation_for_your_account'] = 'Il tuo account admin Personnal non è soggetta a convalida';
-$lang['Database_Error'] = '<b><u>Attenzione! Errore di integrità critico nel database.</u></b><br><br>Si prega di verificare l\'integrità della tabella #_user_confirm_mail.';
+$lang['No_validation_for_Guest'] = 'Il conto "Guest" non è soggetto a convalida';
+$lang['No_validation_for_default_user'] = 'Il conto di default non è soggetto a convalida';
+$lang['No_validation_for_Webmaster'] = 'Il conto del "Webmaster" non è soggetto a convalida';
+$lang['No_validation_for_your_account'] = 'Il tuo conto amminstratore non è soggetto a convalida';
+$lang['Database_Error'] = '<b><u>Attenzione! Errore di integrità critico nella base dati.</u></b><br><br>Si prega di verificare l\'integrità della tabella #_user_confirm_mail.';
 
 
 /* Processing messages */
-$lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo chiave è stata inviata';
-$lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo chiave sono stati inviati';
+$lang['%d_Mail_With_Key'] = '%d messaggio con il rinnovo della chiave è stato inviato';
+$lang['%d_Mails_With_Key'] = '%d messaggi con il rinnovo della chiave sono stati inviati';
 $lang['%d_Reminder_Sent'] = '%d messaggio di promemoria è stato inviato';
 $lang['%d_Reminders_Sent'] = '%d messaggi di promemoria sono stati inviati';
 $lang['%d_Validated_User'] = '%d utente convalidato manualmente';
-$lang['%d_Validated_Users'] = '%d utenti convalidato manualmente';
+$lang['%d_Validated_Users'] = '%d utenti convalidati manualmente';
 
 
 /* Action button names */
-$lang['Delete_selected'] = 'Eliminare';
+$lang['Delete_selected'] = 'Cancellare';
 $lang['Mail_without_key'] = 'Promemoria senza chiave';
 $lang['Mail_with_key'] = 'Promemoria con chiave';
-$lang['Force_Validation'] = 'Forzati di convalida';
+$lang['Force_Validation'] = 'Convalida forzata';
 
 
@@ -64,8 +64,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.0 and 2.12.1
 /* Global Configuration Tab */
-$lang['PasswordTest'] = 'Calcolo punteggio';
+$lang['PasswordTest'] = 'Calcolo del punteggio';
 /* Ghost Tracker Tab */
 $lang['Tab_GhostTracker'] = 'Ghost Tracker';
-$lang['LastVisit_Date'] = 'Ultima visita';
+$lang['LastVisit_Date'] = 'Data ultima visita';
 $lang['Reminder'] = 'E-mail di sollecito';
 $lang['Reminder_Sent_OK'] = 'SI';
@@ -73,17 +73,17 @@
 /* Errors and Warnings */
 $lang['UAM_save_config'] ='Configurazione salvata.';
-$lang['reg_err_login3'] = 'Security: Password è obbligatorio!';
-$lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio sulla scelta password complessità. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
-- Utilizzare le lettere e numeri<br>
-- Usare maiuscole e minuscole<br>
-- Aumentare la sua lunghezza (numero di caratteri)<br>
-Le password punteggio minimo richiesto dall\'amministratore è: ';
-$lang['No_reminder_for_Guest'] = '"Guest" conto non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_default_user'] = 'L\'account predefinito non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_Webmaster'] = '"Webmaster" conto non è soggetto a ricevere i promemoria da GhostTracker';
-$lang['No_reminder_for_your_account'] = 'Il tuo account admin Personnal non è soggetto a ricevere i promemoria da GhostTracker';
+$lang['reg_err_login3'] = 'Sicurezza: La password è obbligatoria!';
+$lang['reg_err_login4_%s'] = 'Sicurezza: un sistema di controllo calcola un punteggio basandosi sulla complessità della password scelta. La complessità della password è troppo bassa (punteggio = %s). Si prega di scegliere una nuova password più sicura seguendo queste regole:<br>
+- Utilizzare delle lettere e dei numeri<br>
+- Usare delle maiuscole e delle minuscole<br>
+- Aumentare la lunghezza (numero di caratteri)<br>
+Il punteggio minimo richiesto dall\'amministratore per la password è di : ';
+$lang['No_reminder_for_Guest'] = 'Il conto utente "Guest" non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_default_user'] = 'Il conto utente di default non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_Webmaster'] = 'Il conto utente "Webmaster" non è soggetto a ricevere dei promemoria dal GhostTracker';
+$lang['No_reminder_for_your_account'] = 'Il tuo conto amministratore non è soggetto a ricevere dei promemoria dal GhostTracker';
 /* Action button names */
-$lang['audit'] = 'Audit impostazioni';
-$lang['submit'] = 'Salva impostazioni';
+$lang['audit'] = 'Audit delle impostazioni';
+$lang['submit'] = 'Salvare le impostazioni';
 // --------- End: New or revised $lang ---- from version 2.12.0 and 2.12.1
 
@@ -91,14 +91,8 @@
 // --------- Starting below: New or revised $lang ---- from version 2.12.2
 /* Errors and Warnings */
-$lang['GhostTracker_Init_OK'] = 'GhostTracker reset fatto!';
+$lang['GhostTracker_Init_OK'] = 'Inizzializzazione GhostTracker eseguita!';
 /* Action button names */
-$lang['GT_Reset'] = 'Reset Ghost Tracker';
+$lang['GT_Reset'] = 'Reset del GhostTracker';
 // --------- End: New or revised $lang ---- from version 2.12.2
-
-
-// --------- Starting below: New or revised $lang ---- from version 2.12.7
-/* Errors and Warnings */
-$lang['mail_text_error'] = '<b>Attenzione!</b> - Punto e virgola (;) non sono ammessi in addtionnal testo e-mail. Questo carattere è stato automaticamente sostituito da un punto (.). Per informazioni, il testo modificato(s) è (sono) indicato in rosso nel campo corrispondente (s). Vi preghiamo di controllare lo(li) fuori.';
-// --------- End: New or revised $lang ---- from version 2.12.7
 
 
@@ -180,59 +174,5 @@
 $lang['UAM_No_Comment_Anonymous_false'] = ' Disattivare (predefinito)';
 
-$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del PhpWebGallery (Inglese)';
-/* TODO */$lang['UAM_Tips1_txt'] = '
-          <ul>
-            <li>
-Ingredients needed:<br>
-- 2 Piwigo\'s user groups at least: &quot;Waiting&quot; for visitors awaiting validation and &quot;Validated&quot; for visitors who have validated their registration<br>
-- NBC_UAM plugin<br>
-- PWG Stuffs plugin<br>
-- Possibly Extended Description plugin (to support multi-lingual)
-            </li>
-<br><br>
-            <li>
-La recette :<br>
-            <ul>
-              <li>
-Preamble: It\'s located in the case of a private gallery or semi-private (ie only a small part of categories is available by Guests and registered can see everything). We consider that the required plugins are installed (does it remind you?).<br><br>
-              </li>
-              <li>
-Attribute group &quot;Waiting&quot; no permission on private categories<br><br>
-              </li>
-              <li>
-Attribute group &quot;Validated&quot; all permissions on the private categories<br><br>
-              </li>
-              <li>
-In NBC_UAM plugin:
-              <ol>
-                <li>Enable registration confirmation</li>
-                <li>In the field below &quot;Customizing the confirmation email&quot;, enter text for additional explanation will be attached to email registration confirmation. Possibly, it is possible to use markup language implemented by the plugin Extended Description</li>
-                <li>In the &quot;Group for users who have not validated their registration&quot;, select group &quot;Waiting&quot;</li>
-                <li>In the &quot;Group for users who have validated their registration&quot;, select group &quot;Validated&quot;</li>
-                <li>Save the plugin configuration</li>
-              </ol>
-              </li>
-<br><br>
-              <li>
-In PWG Stuff plugin:
-              <ol>
-                <li>Add a new module personal block like an edito</li>
-                <li>In the module\'s configuration, in addition to its title (eg &quot;Registration pending validation&quot;) and its description, check only the authorized group &quot;Waiting&quot;</li>
-                <li>In the content module, enter the message text which sought information will be visible as invalid user. Again, ability to manage multi-language through Extended Description\'s tags</li>
-                <li>Validate module</li>
-                <li>Define its place on the main page of the gallery</li>
-              </ol>
-              </li>
-            </ul>
-            </li>
-<br><br>
-            <li>
-              The result:<br>
-              - A "Guest" arrives on the gallery, he sees nothing other than the public categories and no information message.<br>
-              - He registers. This generates an email validation and automatic membership to the group &quot;Waiting&quot;.<br>
-              - At the end, he\'s redirected to the gallery homepage and a message indicating the waiting of validate its registration<br><br>
-              He received his email validation, following the link provided for that purpose in the mail, releases the group &quot;Waiting&quot; and takes place in the group &quot;Validated&quot;. By clicking the &quot;Home&quot;, then he\'s connected to the gallery with full access to private groups and without the information message.
-            </li>
-          </ul>';
+$lang['UAM_Tips1'] = 'Registrazioni con la convalida e-mail e messaggio di avviso nella home page del Piwigo (Inglese)';
 
 $lang['Tab_UserManager'] = 'Tracciamento convalide';
@@ -269,4 +209,41 @@
 $lang['UAM_Admin_ConfMail_true'] = ' Consentire';
 $lang['UAM_Admin_ConfMail_false'] = ' Disattivare (predefinito)';
+$lang['UAM_Tips1_txt'] = '
+          <ul>
+            <li>
+            Obiettivi:<br>
+            - Al suo arrivo presso la galleria: a informare il visitatore che si deve registrare per accedere a foto private<br>
+            - Al momento della registrazione: Genera una validazione e-mail con il link diretto, informa il nuovo utente della sua mancata convalida e integrare lo al gruppo "Attesa"<br>
+            - All\'atto della convalida: Switch automaticamente gruppo "Attesa" di gruppo "Validati", che fornisce l\'accesso a categorie privato<br><br>
+            <span style="font-style:italic">Ricordo: In funzionamento standard, il "cliente" vede solo le categorie del pubblico, senza messaggio di informazione.</span>
+            </li><br><br>
+            <li>
+Prerequisito:<br>
+- Una galleria con tutte o alcune categorie private, visibili solo agli utenti registrati<br>
+- Almeno 2 seguenti gruppi di utenti Piwigo\'s: "Attesa", senza il consenso sulle categorie private, e "Validati" con tutte le autorizzazioni per le categorie privato<br>
+- NBC_UAM plugin<br>
+- PWG Stuffs plugin, per aggiungere un tipo di modulo "Personal Block"<br>
+- Facoltativamente, il plugin Extended Description al supporto multi-lingue<br>
+            </li><br><br>
+              <li>
+Tappe:<br><br>
+A. In plugin NBC_UAM:
+              <ol>
+                <li>Consentire la conferma della registrazione</li>
+                <li>Inserisci il testo per ulteriori spiegazioni, che sarà allegato a una mail di conferma della registrazione. Se il plugin Extended Description è attivato, i tag linguaggio può essere utilizzato</li>
+                <li>Selezionare l\'opzione "Attesa" gruppo sotto la voce "Per gli utenti che non hanno convalidato la loro registrazione"</li>
+                <li>Selezionare l\'opzione "Validati" gruppo sotto la voce "Per gli utenti che hanno convalidato la loro iscrizione"</li>
+                <li>Salvare la configurazione</li>
+              </ol>
+              </li><br>
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Aggiungere un nuovo tipo di modulo "block personali: mostra personale di blocco (ad esempio, un editoriale)"</li>
+                <li>Configurare il modulo, indicando il titolo (ad esempio, "in attesa di convalida Registrazione") e la sua descrizione, e selezionare solo "Attesa" nella lista dei gruppi ammessi</li>
+                <li>Contenuto completo del modulo con le informazioni di messaggio da visualizzare per gli utenti non convalidato. Come NBC_UAM, linguaggi di markup possono essere utilizzati se il plugin Extended Description è abilitato</li>
+                <li>Check "visualizzare il modulo nella homepage del sito"</li>
+                <li>Convalidare la configurazione del modulo</li>
+              </ol>
+          </ul>';
 // --------- End: New or revised $lang ---- from version 2.14.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.14/maintain.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.14/maintain.inc.php	(revision 5086)
+++ /extensions/NBC_UserAdvManager/branches/2.14/maintain.inc.php	(revision 5087)
@@ -280,9 +280,13 @@
 function upgrade_213()
 {
-  $data = explode(';', $conf['nbc_UserAdvManager']);
+	global $conf;
+  
+  $conf_UAM = explode(';', $conf['nbc_UserAdvManager']);
+
+  $upgrade_UAM = array($conf_UAM[0],$conf_UAM[1],$conf_UAM[2],$conf_UAM[3],$conf_UAM[4],$conf_UAM[5],$conf_UAM[6],$conf_UAM[7],$conf_UAM[8],$conf_UAM[9],$conf_UAM[10],$conf_UAM[11],$conf_UAM[12],$conf_UAM[13],$conf_UAM[14],$conf_UAM[15],$conf_UAM[16],$conf_UAM[17],$conf_UAM[18],$conf_UAM[19],$conf_UAM[20],'false');
 
   $query = '
 UPDATE '.CONFIG_TABLE.'
-  SET value = "'.addslashes(serialize($data)).'"
+  SET value = "'.addslashes(serialize($upgrade_UAM)).'"
   WHERE param = "nbc_UserAdvManager"
 ;';
